
%global meadversion 2.15.2
%global namedversion 2.15.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-modules-base}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.15.2.redhat-00001

Name:           %{?scl_prefix}jackson-modules-base
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson base modules
Group:          Development/Java

%if %with mead
Source100: jackson-modules-base-2.15.2.redhat-00001-project-sources.tar.gz
Source102: jackson-module-jaxb-annotations-2.15.2.redhat-00001.pom
Source103: jackson-module-no-ctor-deser-2.15.2.redhat-00001-javadoc.jar
Source104: jackson-module-mrbean-2.15.2.redhat-00001.pom
Source105: jackson-module-no-ctor-deser-2.15.2.redhat-00001.jar
Source106: jackson-module-guice-2.15.2.redhat-00001-sources.jar
Source107: jackson-module-osgi-2.15.2.redhat-00001-javadoc.jar
Source108: jackson-module-paranamer-2.15.2.redhat-00001-javadoc.jar
Source109: jackson-module-paranamer-2.15.2.redhat-00001.jar
Source110: jackson-module-osgi-2.15.2.redhat-00001.jar
Source111: jackson-module-osgi-2.15.2.redhat-00001.pom
Source112: jackson-module-osgi-2.15.2.redhat-00001-sources.jar
Source113: jackson-module-blackbird-2.15.2.redhat-00001.pom
Source114: jackson-module-guice-2.15.2.redhat-00001.jar
Source115: jackson-module-jaxb-annotations-2.15.2.redhat-00001-javadoc.jar
Source116: jackson-module-no-ctor-deser-2.15.2.redhat-00001-sources.jar
Source117: jackson-module-afterburner-2.15.2.redhat-00001.jar
Source118: jackson-module-mrbean-2.15.2.redhat-00001-javadoc.jar
Source119: jackson-module-paranamer-2.15.2.redhat-00001.pom
Source120: jackson-module-jakarta-xmlbind-annotations-2.15.2.redhat-00001-sources.jar
Source121: jackson-module-paranamer-2.15.2.redhat-00001-sources.jar
Source122: jackson-module-afterburner-2.15.2.redhat-00001-javadoc.jar
Source123: jackson-module-mrbean-2.15.2.redhat-00001.jar
Source124: jackson-modules-base-2.15.2.redhat-00001.pom
Source125: jackson-module-jakarta-xmlbind-annotations-2.15.2.redhat-00001-javadoc.jar
Source126: jackson-module-afterburner-2.15.2.redhat-00001.pom
Source127: jackson-module-guice-2.15.2.redhat-00001.pom
Source128: jackson-module-jakarta-xmlbind-annotations-2.15.2.redhat-00001.pom
Source129: jackson-module-guice-2.15.2.redhat-00001-javadoc.jar
Source130: jackson-module-jakarta-xmlbind-annotations-2.15.2.redhat-00001.jar
Source131: jackson-module-jaxb-annotations-2.15.2.redhat-00001-sources.jar
Source132: jackson-module-blackbird-2.15.2.redhat-00001-javadoc.jar
Source133: jackson-module-blackbird-2.15.2.redhat-00001.jar
Source134: jackson-module-afterburner-2.15.2.redhat-00001-sources.jar
Source135: jackson-module-mrbean-2.15.2.redhat-00001-sources.jar
Source136: jackson-module-jaxb-annotations-2.15.2.redhat-00001.jar
Source137: jackson-module-blackbird-2.15.2.redhat-00001-sources.jar
Source138: jackson-module-no-ctor-deser-2.15.2.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/FasterXML/jackson-modules-base
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Parent pom for Jackson modules that are considered foundational,
building on core databind, but not including datatype or data format
modules, or JAX-RS providers.

%package -n %{?scl_prefix}jackson-module-afterburner
Summary:        Jackson-module-Afterburner
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-afterburner
Dynamic bytecode generation for standard Jackson POJO serializers and
deserializers, eliminating majority of remaining data binding overhead.

%package -n %{?scl_prefix}jackson-module-guice
Summary:        Jackson-module-Guice
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-guice
Add-on module to allow Jackson to delegate ObjectMapper creation and
value injection to Guice when handling data bindings. 

%package -n %{?scl_prefix}jackson-module-jakarta-xmlbind-annotations
Summary:        Jackson-module-jakarta-xmlbind-annotations
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-jakarta-xmlbind-annotations
Support for using jakarta xmlbind annotations.

%package -n %{?scl_prefix}jackson-module-jaxb-annotations
Summary:        Jackson-module-JAXB-annotations
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-jaxb-annotations
Support for using JAXB annotations as an alternative to "native" Jackson
annotations, for configuring data binding.

%package -n %{?scl_prefix}jackson-module-mrbean
Summary:        Bean-materializer-for-Jackson
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-mrbean
Support for "POJO type materialization"; ability for databinder to
construct implementation classes for Java interfaces and abstract
classes, as part of deserialization.

%package -n %{?scl_prefix}jackson-module-osgi
Summary:        Jackson-OSGi-injection-module
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-osgi
Add-on module to inject OSGI services into deserialized objects.

%package -n %{?scl_prefix}jackson-module-paranamer
Summary:        Jackson-module-paranamer
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-paranamer
Add-on module to auto-detect names of Creator methods with Paranamer
library.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-modules-base
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -c -n jackson-modules-base-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-module-afterburner-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-afterburner-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-afterburner-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-afterburner-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-afterburner-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-afterburner-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-guice-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-guice-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-guice-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-guice-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-guice-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-guice-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-mrbean-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-mrbean-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-mrbean-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-mrbean-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-mrbean-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-mrbean-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-osgi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-osgi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-osgi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-osgi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-paranamer-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-paranamer-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-paranamer-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-paranamer-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-paranamer-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-paranamer-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-modules-base-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-modules-base-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-modules-base-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-modules-base-%{namedversion} %{buildroot}%{_javadocdir}/jackson-modules-base
%endif

# docs
%{__mkdir_p} %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name README.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name CREDITS-2.x -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name VERSION-2.x -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jackson-module-afterburner
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-afterburner-%{namedversion}.jar
%{_javadir}/jackson-module-afterburner.jar
%if %with javadoc
%{_javadir}/jackson-module-afterburner-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-afterburner-javadoc.jar
%endif
%{_javadir}/jackson-module-afterburner-%{namedversion}-sources.jar
%{_javadir}/jackson-module-afterburner-sources.jar

%files -n %{?scl_prefix}jackson-module-guice
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-guice-%{namedversion}.jar
%{_javadir}/jackson-module-guice.jar
%if %with javadoc
%{_javadir}/jackson-module-guice-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-guice-javadoc.jar
%endif
%{_javadir}/jackson-module-guice-%{namedversion}-sources.jar
%{_javadir}/jackson-module-guice-sources.jar

%files -n %{?scl_prefix}jackson-module-jakarta-xmlbind-annotations
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}.jar
%{_javadir}/jackson-module-jakarta-xmlbind-annotations.jar
%if %with javadoc
%{_javadir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-jakarta-xmlbind-annotations-javadoc.jar
%endif
%{_javadir}/jackson-module-jakarta-xmlbind-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-module-jakarta-xmlbind-annotations-sources.jar

%files -n %{?scl_prefix}jackson-module-jaxb-annotations
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}.jar
%{_javadir}/jackson-module-jaxb-annotations.jar
%if %with javadoc
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-jaxb-annotations-javadoc.jar
%endif
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-module-jaxb-annotations-sources.jar

%files -n %{?scl_prefix}jackson-module-mrbean
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-mrbean-%{namedversion}.jar
%{_javadir}/jackson-module-mrbean.jar
%if %with javadoc
%{_javadir}/jackson-module-mrbean-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-mrbean-javadoc.jar
%endif
%{_javadir}/jackson-module-mrbean-%{namedversion}-sources.jar
%{_javadir}/jackson-module-mrbean-sources.jar

%files -n %{?scl_prefix}jackson-module-osgi
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-osgi-%{namedversion}.jar
%{_javadir}/jackson-module-osgi.jar
%if %with javadoc
%{_javadir}/jackson-module-osgi-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-osgi-javadoc.jar
%endif
%{_javadir}/jackson-module-osgi-%{namedversion}-sources.jar
%{_javadir}/jackson-module-osgi-sources.jar

%files -n %{?scl_prefix}jackson-module-paranamer
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-paranamer-%{namedversion}.jar
%{_javadir}/jackson-module-paranamer.jar
%if %with javadoc
%{_javadir}/jackson-module-paranamer-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-paranamer-javadoc.jar
%endif
%{_javadir}/jackson-module-paranamer-%{namedversion}-sources.jar
%{_javadir}/jackson-module-paranamer-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-modules-base-%{namedversion}
%{_javadocdir}/jackson-modules-base
%endif

%changelog
* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.15.2-1.redhat_00001.1
- Built by CPaaS

* Mon Jun 05 2023 Permaine Cheung <pcheung@redhat.com> - 2.14.2-2.redhat_00001.1
- Add jackson-module-jakarta-xmlbind-annotations, CL cleanup

* Thu Apr 13 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.14.2-1.redhat_00001.1
- Built by CPaaS

* Thu Mar 30 2023 Yong Yang <yyang@redhat.com> - 2.13.4-1.redhat_00004.1
- 2.13.4.redhat-00004

